Get a merchant application
curl --request GET \
--url https://api.paymentsmojo.com/applications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paymentsmojo.com/applications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paymentsmojo.com/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resellerOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resellerName": "<string>",
"stage": "<string>",
"dbaName": "<string>",
"legalName": "<string>",
"contactName": "<string>",
"contactEmail": "<string>",
"monthlyVolume": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"stageChangedAt": "2023-11-07T05:31:56Z"
},
"entityType": "<string>",
"incorporationState": "<string>",
"businessStartDate": "2023-12-25",
"businessDescription": "<string>",
"website": "<string>",
"businessPhone": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"timeZone": "<string>",
"taxIdLast4": "<string>",
"contactPhone": "<string>",
"bankName": "<string>",
"routingNumber": "<string>",
"accountNumberLast4": "<string>",
"averageTicket": 123,
"highTicket": 123,
"cardPresentPercent": 123,
"reviewNotes": "<string>",
"decisionReason": "<string>",
"sensitiveDataPurgedAt": "2023-11-07T05:31:56Z",
"owners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"title": "<string>",
"ownershipPercent": 123,
"email": "<string>",
"phone": "<string>",
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"ssnLast4": "<string>",
"hasDateOfBirth": true,
"hasDriversLicense": true,
"driversLicenseState": "<string>"
}
],
"changesRequest": {
"message": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"requestedByName": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"activity": [
{
"kind": "<string>",
"detail": "<string>",
"byName": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"applicantNotes": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}Reseller portfolio
Get a merchant application
One application submitted through you: the business, its stage and its history. Full SSNs, tax ids and bank account numbers are never included, only their last four digits.
GET
/
applications
/
{id}
Get a merchant application
Authorizations
An access token from POST /oauth/token (your API key's id and secret). It lasts 10 minutes.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes